cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"totalAvailable": 1,
"credits": [
{
"creditId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"productType": "string",
"poolKey": "string",
"poolName": "Example name",
"poolMode": "string",
"totalCredits": 1,
"usedCredits": 1,
"availableCredits": 1,
"startDate": "string",
"expiryDate": "string",
"allowNegativeCredits": true,
"subscriptionId": "66f7b8b1e13c8d25f4d3d90a"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Client credits
List client credits
Requires finance_credits:read.
GET
/
public
/
v1
/
finance
/
clients
/
{clientId}
/
credits
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"totalAvailable": 1,
"credits": [
{
"creditId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"productType": "string",
"poolKey": "string",
"poolName": "Example name",
"poolMode": "string",
"totalCredits": 1,
"usedCredits": 1,
"availableCredits": 1,
"startDate": "string",
"expiryDate": "string",
"allowNegativeCredits": true,
"subscriptionId": "66f7b8b1e13c8d25f4d3d90a"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"